getSchema(1)

NAME
getSchema - Script to download DMTF CIM Schema for Small-Footprint CIM Broker (sfcb)

SYNOPSIS
getSchema [-f] schemadir

DESCRIPTION
getSchema is a small script to automatically downlaod and install the latest CIM Schema from the DMTF website. The CIM Schema is required by the Small-Footprint CIM Broker (sfcb) to be able to install and register new classes. getSchema uses curl to fetch the CIM Schema tarball.

OPTIONS
Supported command line options are:

schemadir
    Path to download the CIM Schema tarball and extract all the CIM classes. Default is /usr/share/sfcb

-f  Force option. Without this option you will be prompted if an existing schema is already found in the target schemadir. Setting this option will reinstall the new CIM Schema without prompting.

FILES

/usr/share/sfcb/getSchema.sh
    The getSchema script.

/usr/share/sfcb/CIM/CIM_Schema.mof
    CIM Schema

PREQUISITES

Requires curl

AUTHOR
Adrian Schuur <schuur@de.ibm.com>

BUGS

The SBLIM project maintains a mailing list to which you should direct all questions regarding sfcb, sfcc, wbemcli, or any of the SBLIM providers. To subscribe to this mailing list visit

    http://lists.sourceforge.net/lists/listinfo/sblim-issues

The SBLIM Project Bug tracking page can be found at

    http://sourceforge.net/tracker/?group_id=128809&atid=712784

COPYRIGHT
(C) Copyright IBM Corp. 2004, 2005

AVAILABILITY
The Small-Footprint CIM Broker (sfcb) is a part of the SBLIM project. The most recent version is available on the web at

    http://sblim.sourceforge.net/

SEE ALSO
sfcbd(1)